function [ys,check] = bkl20160504model3simu_steadystate(ys,exo)

% parameters alph beta e delta N theta1 theta2 theta3 theta4 theta5 theta6 theta7
%            ln_r1_bar ln_r2_bar ln_r3_bar ln_r4_bar ln_r5_bar ln_r6_bar ln_r7_bar
%            ax1_bar au1_bar ax2_bar au2_bar ax3_bar au3_bar ax4_bar au4_bar 
%            ax5_bar au5_bar ax6_bar au6_bar ax7_bar au7_bar
%            sig2_11 sig2_12 sig2_13 sig2_14 sig2_15 sig2_16 sig2_17
%            sig2_21 sig2_22 sig2_23 sig2_24 sig2_25 sig2_26 sig2_27
%            sig2_31 sig2_32 sig2_33 sig2_34 sig2_35 sig2_36 sig2_37
%            sig2_41 sig2_42 sig2_43 sig2_44 sig2_45 sig2_46 sig2_47
%            sig2_51 sig2_52 sig2_53 sig2_54 sig2_55 sig2_56 sig2_57
%            sig2_61 sig2_62 sig2_63 sig2_64 sig2_65 sig2_66 sig2_67
%            sig2_71 sig2_72 sig2_73 sig2_74 sig2_75 sig2_76 sig2_77
%            p11 p12 p13 p14 p15 p16 p21 p22 p23 p24 p25 p26 
%            p31 p32 p33 p34 p35 p36 p41 p42 p43 p44 p45 p46
%            p51 p52 p53 p54 p55 p56 p61 p62 p63 p64 p65 p66
%            mean_xi_1 mean_xi_2 mean_xi_3 mean_xi_4 mean_xi_5 mean_xi_6 mean_xi_7
%            gA0 p_bar; 
           
global M_ 

% read out parameters to access them with their name
NumberOfParameters = M_.param_nbr;
for ii = 1:NumberOfParameters
  paramname = deblank(M_.param_names(ii,:));
  eval([ paramname ' = M_.params(' int2str(ii) ');']);
end
% initialize indicator
check = 0;

%mean_xi = [0.1 0.1 0.1 0.05 0.05 0.01 0];
%ax_bar = [0.8594,0.7268,0.7121,0.85,0.85,0.9,1];
ax1 = ax1_bar*(1-p_bar*mean_xi_1);
ax2 = ax2_bar*(1-p_bar*mean_xi_2);
ax3 = ax3_bar*(1-p_bar*mean_xi_3);
ax4 = ax4_bar*(1-p_bar*mean_xi_4);
ax5 = ax5_bar*(1-p_bar*mean_xi_5);
ax6 = ax6_bar*(1-p_bar*mean_xi_6);
ax7 = ax7_bar*(1-p_bar*mean_xi_7);
au1 = au1_bar*(1-p_bar*mean_xi_1);
au2 = au2_bar*(1-p_bar*mean_xi_2);
au3 = au3_bar*(1-p_bar*mean_xi_3);
au4 = au4_bar*(1-p_bar*mean_xi_4);
au5 = au5_bar*(1-p_bar*mean_xi_5);
au6 = au6_bar*(1-p_bar*mean_xi_6);
au7 = au7_bar*(1-p_bar*mean_xi_7);
r1 = ln_r1_bar;
r2 = ln_r2_bar;
r3 = ln_r3_bar;
r4 = ln_r4_bar;
r5 = ln_r5_bar;
r6 = ln_r6_bar;
r7 = ln_r7_bar;
ln_r1_tilde = ln_r1_bar;
ln_r2_tilde = ln_r2_bar;
ln_r3_tilde = ln_r3_bar;
ln_r4_tilde = ln_r4_bar;
ln_r5_tilde = ln_r5_bar;
ln_r6_tilde = ln_r6_bar;
gA = exp(gA0);
ge_obs = gA; gx1_obs = gA; gx2_obs = gA; gx3_obs = gA; gx4_obs = gA;
gx5_obs = gA; gx6_obs = gA; gx7_obs = gA;

p = p_bar;
%theta = [4 4 4 2 1 1 2];
%theta = [4 3.5 5 2 3 3 0.01];
myfun =@(x) [ax1*r1-ax1*r1*sqrt(theta1)*sqrt(theta1)*sig2_11*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax1*r1*sqrt(theta1)*sqrt(theta2)*sig2_12*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax1*r1*sqrt(theta1)*sqrt(theta3)*sig2_13*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax1*r1*sqrt(theta1)*sqrt(theta4)*sig2_14*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax1*r1*sqrt(theta1)*sqrt(theta5)*sig2_15*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax1*r1*sqrt(theta1)*sqrt(theta6)*sig2_16*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax1*r1*sqrt(theta1)*sqrt(theta7)*sig2_17*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(8)+e*ax1*r1*gA*x(15)-gA*x(16);
             ax2*r2-ax2*r2*sqrt(theta2)*sqrt(theta1)*sig2_21*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax2*r2*sqrt(theta2)*sqrt(theta2)*sig2_22*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax2*r2*sqrt(theta2)*sqrt(theta3)*sig2_23*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax2*r2*sqrt(theta2)*sqrt(theta4)*sig2_24*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax2*r2*sqrt(theta2)*sqrt(theta5)*sig2_25*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax2*r2*sqrt(theta2)*sqrt(theta6)*sig2_26*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax2*r2*sqrt(theta2)*sqrt(theta7)*sig2_27*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(9)+e*ax2*r2*gA*x(15)-gA*x(16);
             ax3*r3-ax3*r3*sqrt(theta3)*sqrt(theta1)*sig2_31*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax3*r3*sqrt(theta3)*sqrt(theta2)*sig2_32*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax3*r3*sqrt(theta3)*sqrt(theta3)*sig2_33*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax3*r3*sqrt(theta3)*sqrt(theta4)*sig2_34*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax3*r3*sqrt(theta3)*sqrt(theta5)*sig2_35*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax3*r3*sqrt(theta3)*sqrt(theta6)*sig2_36*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax3*r3*sqrt(theta3)*sqrt(theta7)*sig2_37*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(10)+e*ax3*r3*gA*x(15)-gA*x(16);
             ax4*r4-ax4*r4*sqrt(theta4)*sqrt(theta1)*sig2_41*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax4*r4*sqrt(theta4)*sqrt(theta2)*sig2_42*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax4*r4*sqrt(theta4)*sqrt(theta3)*sig2_43*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax4*r4*sqrt(theta4)*sqrt(theta4)*sig2_44*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax4*r4*sqrt(theta4)*sqrt(theta5)*sig2_45*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax4*r4*sqrt(theta4)*sqrt(theta6)*sig2_46*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax4*r4*sqrt(theta4)*sqrt(theta7)*sig2_47*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(11)+e*ax4*r4*gA*x(15)-gA*x(16);
             ax5*r5-ax5*r5*sqrt(theta5)*sqrt(theta1)*sig2_51*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax5*r5*sqrt(theta5)*sqrt(theta2)*sig2_52*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax5*r5*sqrt(theta5)*sqrt(theta3)*sig2_53*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax5*r5*sqrt(theta5)*sqrt(theta4)*sig2_54*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax5*r5*sqrt(theta5)*sqrt(theta5)*sig2_55*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax5*r5*sqrt(theta5)*sqrt(theta6)*sig2_56*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax5*r5*sqrt(theta5)*sqrt(theta7)*sig2_57*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(12)+e*ax5*r5*gA*x(15)-gA*x(16);
             ax6*r6-ax6*r6*sqrt(theta6)*sqrt(theta1)*sig2_61*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax6*r6*sqrt(theta6)*sqrt(theta2)*sig2_62*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax6*r6*sqrt(theta6)*sqrt(theta3)*sig2_63*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax6*r6*sqrt(theta6)*sqrt(theta4)*sig2_64*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax6*r6*sqrt(theta6)*sqrt(theta5)*sig2_65*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax6*r6*sqrt(theta6)*sqrt(theta6)*sig2_66*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax6*r6*sqrt(theta6)*sqrt(theta7)*sig2_67*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(13)+e*ax6*r6*gA*x(15)-gA*x(16);
             ax7*r7-ax7*r7*sqrt(theta7)*sqrt(theta1)*sig2_71*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax7*r7*sqrt(theta7)*sqrt(theta2)*sig2_72*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax7*r7*sqrt(theta7)*sqrt(theta3)*sig2_73*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax7*r7*sqrt(theta7)*sqrt(theta4)*sig2_74*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax7*r7*sqrt(theta7)*sqrt(theta5)*sig2_75*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax7*r7*sqrt(theta7)*sqrt(theta6)*sig2_76*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax7*r7*sqrt(theta7)*sqrt(theta7)*sig2_77*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+gA*x(14)+e*ax7*r7*gA*x(15)-gA*x(16);
             
             -x(8)*gA/beta+ax1*r1/gA-ax1*r1/gA*sqrt(theta1)*sqrt(theta1)*sig2_11*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax1*r1/gA*sqrt(theta1)*sqrt(theta2)*sig2_12*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax1*r1/gA*sqrt(theta1)*sqrt(theta3)*sig2_13*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax1*r1/gA*sqrt(theta1)*sqrt(theta4)*sig2_14*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax1*r1/gA*sqrt(theta1)*sqrt(theta5)*sig2_15*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax1*r1/gA*sqrt(theta1)*sqrt(theta6)*sig2_16*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax1*r1/gA*sqrt(theta1)*sqrt(theta7)*sig2_17*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(8)*ax1+e*ax1*r1*x(15)-ax1*x(16);
             -x(9)*gA/beta+ax2*r2/gA-ax2*r2/gA*sqrt(theta2)*sqrt(theta1)*sig2_21*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax2*r2/gA*sqrt(theta2)*sqrt(theta2)*sig2_22*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax2*r2/gA*sqrt(theta2)*sqrt(theta3)*sig2_23*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax2*r2/gA*sqrt(theta2)*sqrt(theta4)*sig2_24*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax2*r2/gA*sqrt(theta2)*sqrt(theta5)*sig2_25*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax2*r2/gA*sqrt(theta2)*sqrt(theta6)*sig2_26*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax2*r2/gA*sqrt(theta2)*sqrt(theta7)*sig2_27*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(9)*ax2+e*ax2*r2*x(15)-ax2*x(16);
             -x(10)*gA/beta+ax3*r3/gA-ax3*r3/gA*sqrt(theta3)*sqrt(theta1)*sig2_31*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax3*r3/gA*sqrt(theta3)*sqrt(theta2)*sig2_32*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax3*r3/gA*sqrt(theta3)*sqrt(theta3)*sig2_33*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax3*r3/gA*sqrt(theta3)*sqrt(theta4)*sig2_34*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax3*r3/gA*sqrt(theta3)*sqrt(theta5)*sig2_35*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax3*r3/gA*sqrt(theta3)*sqrt(theta6)*sig2_36*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax3*r3/gA*sqrt(theta3)*sqrt(theta7)*sig2_37*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(10)*ax3+e*ax3*r3*x(15)-ax3*x(16);
             -x(11)*gA/beta+ax4*r4/gA-ax4*r4/gA*sqrt(theta4)*sqrt(theta1)*sig2_41*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax4*r4/gA*sqrt(theta4)*sqrt(theta2)*sig2_42*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax4*r4/gA*sqrt(theta4)*sqrt(theta3)*sig2_43*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax4*r4/gA*sqrt(theta4)*sqrt(theta4)*sig2_44*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax4*r4/gA*sqrt(theta4)*sqrt(theta5)*sig2_45*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax4*r4/gA*sqrt(theta4)*sqrt(theta6)*sig2_46*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax4*r4/gA*sqrt(theta4)*sqrt(theta7)*sig2_47*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(11)*ax4+e*ax4*r4*x(15)-ax4*x(16);
             -x(12)*gA/beta+ax5*r5/gA-ax5*r5/gA*sqrt(theta5)*sqrt(theta1)*sig2_51*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax5*r5/gA*sqrt(theta5)*sqrt(theta2)*sig2_52*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax5*r5/gA*sqrt(theta5)*sqrt(theta3)*sig2_53*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax5*r5/gA*sqrt(theta5)*sqrt(theta4)*sig2_54*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax5*r5/gA*sqrt(theta5)*sqrt(theta5)*sig2_55*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax5*r5/gA*sqrt(theta5)*sqrt(theta6)*sig2_56*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax5*r5/gA*sqrt(theta5)*sqrt(theta7)*sig2_57*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(12)*ax5+e*ax5*r5*x(15)-ax5*x(16);
             -x(13)*gA/beta+ax6*r6/gA-ax6*r6/gA*sqrt(theta6)*sqrt(theta1)*sig2_61*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax6*r6/gA*sqrt(theta6)*sqrt(theta2)*sig2_62*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax6*r6/gA*sqrt(theta6)*sqrt(theta3)*sig2_63*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax6*r6/gA*sqrt(theta6)*sqrt(theta4)*sig2_64*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax6*r6/gA*sqrt(theta6)*sqrt(theta5)*sig2_65*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax6*r6/gA*sqrt(theta6)*sqrt(theta6)*sig2_66*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax6*r6/gA*sqrt(theta6)*sqrt(theta7)*sig2_67*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(13)*ax6+e*ax6*r6*x(15)-ax6*x(16);
             -x(14)*gA/beta+ax7*r7/gA-ax7*r7/gA*sqrt(theta7)*sqrt(theta1)*sig2_71*ax1*r1*(au1/ax1-au1/gA+1/gA)*x(1)-ax7*r7/gA*sqrt(theta7)*sqrt(theta2)*sig2_72*ax2*r2*(au2/ax2-au2/gA+1/gA)*x(2)-ax7*r7/gA*sqrt(theta7)*sqrt(theta3)*sig2_73*ax3*r3*(au3/ax3-au3/gA+1/gA)*x(3)-ax7*r7/gA*sqrt(theta7)*sqrt(theta4)*sig2_74*ax4*r4*(au4/ax4-au4/gA+1/gA)*x(4)-ax7*r7/gA*sqrt(theta7)*sqrt(theta5)*sig2_75*ax5*r5*(au5/ax5-au5/gA+1/gA)*x(5)-ax7*r7/gA*sqrt(theta7)*sqrt(theta6)*sig2_76*ax6*r6*(au6/ax6-au6/gA+1/gA)*x(6)-ax7*r7/gA*sqrt(theta7)*sqrt(theta7)*sig2_77*ax7*r7*(au7/ax7-au7/gA+1/gA)*x(7)+x(14)*ax7+e*ax7*r7*x(15)-ax7*x(16);

             -x(15)*gA/beta+x(15)*(1-delta)+x(16)*N*alph*x(17)^(alph-1);
             -x(17)*gA+(1-delta)*x(17)+e*(ax1*r1*(gA*au1/ax1-au1+1)*x(1)+ax2*r2*(gA*au2/ax2-au2+1)*x(2)+ax3*r3*(gA*au3/ax3-au3+1)*x(3)+ax4*r4*(gA*au4/ax4-au4+1)*x(4)+ax5*r5*(gA*au5/ax5-au5+1)*x(5)+ax6*r6*(gA*au6/ax6-au6+1)*x(6)+ax7*r7*(gA*au7/ax7-au7+1)*x(7));
             -N*x(17)^alph+gA*(x(1)+x(2)+x(3)+x(4)+x(5)+x(6)+x(7));];

x0 = [1178,466,263,8278,144,-10449,185,-0.013,-0.0027,-0.002,0.016,0.014,0.019,0.045,0.671,0.0445,131.4844];  
options = optimoptions('fsolve','Display','iter','MaxFunEvals',8000); 
[x,fval,exitflag] = fsolve(myfun,x0,options)
if exitflag <1
    check=1; %set failure indicator
    return; %return without updating steady states
end
x1 = x(1); x2 = x(2); x3 = x(3); x4 = x(4); x5 = x(5); x6 = x(6); x7= x(7); 
lambda1 = x(8); lambda2 = x(9); lambda3 = x(10); lambda4 = x(11); 
lambda5 = x(12); lambda6 = x(13); lambda7 = x(14); mu = x(15); gamma = x(16);
E = x(17);
u1 = (1-ax1/gA)*x1;
u2 = (1-ax2/gA)*x2;
u3 = (1-ax3/gA)*x3;
u4 = (1-ax4/gA)*x4;
u5 = (1-ax5/gA)*x5;
u6 = (1-ax6/gA)*x6;
u7 = (1-ax7/gA)*x7;
% var x1 u1 x2 u2 x3 u3 x4 u4 x5 u5 x6 u6 x7 u7 E gA 
%     ax1 au1 ax2 au2 ax3 au3 ax4 au4 ax5 au5 ax6 au6 ax7 au7
%     r1 r2 r3 r4 r5 r6 r7 
%     lambda1 lambda2 lambda3 lambda4 lambda5 lambda6 lambda7 mu gamma
%     ln_r1_tilde ln_r2_tilde ln_r3_tilde ln_r4_tilde ln_r5_tilde ln_r6_tilde
%     ge_obs gx1_obs gx2_obs gx3_obs gx4_obs gx5_obs gx6_obs gx7_obs
%     p;
NumberOfEndogenousVariables = M_.orig_endo_nbr; %auxiliary variables are set automatically
for ii = 1:NumberOfEndogenousVariables
  varname = deblank(M_.endo_names(ii,:));
  eval(['ys(' int2str(ii) ') = ' varname ';']);
end